From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 20 April 2007<P>

Any big plans for the weekend? <BR>
<BR>
I've had a pretty busy midweek, helping an old romance w/ an essay, showing a Swiss guy Harvard Square, and going to a Science/Spirituality discussion group, though right now for the weekend, just tentative plans to help my buddy on his getting-a-house-ready-to-live-in project...
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 20 April 2007<P>

Big plans? Grade about a million-and-one papers and poems from my students. So, the usual brand of fun for me...heh.
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 20 April 2007<P>

Chris, what level do you teach?<BR>
<BR>
It reminds me of how arbitrary my role as Blender-Keeper seems sometime... I mean, yeah I kept up my English major to go along with my computer science major, but beyond that, I'm no great shakes as a poet, though hopefully my "editor" and selection skills will have been refined by my decade plus in this role...
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 20 April 2007<P>

English 12 and one writing class (also seniors). The English 12 is pretty cool because I had to write a poetry unit and actually ended up using some of my own material as teaching aides. Now they're writing their own stuff. I never realized how exhilarating it was to teach poetry to kids discovering it, really, for the first time. It's almost like they're finding an outlet for feelings/emotions/memories/experiences that they never knew existed...
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 20 April 2007<P>

Chris, my dad is a retired college english/mass communication teacher.  I remember those masses of papers to grade, all too well.  Such hard work, teaching.  Not appreciated enough.  
<HR>
From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 20 April 2007<P>

~Harem~, about <a href="/blend/wv.cgi?id=2007.04.18.22.05.12171">*LAST  KISS*</a>: This piece spoke volumes to me. It is so easy to take for granted that everything will be the same in the evening as we left it in the morning. My heart goes to those family and friend who suffered personal losses. Reading this makes me want to slow the pace a little bit and appreciate those around me.<BR>

<HR>
From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 20 April 2007<P>

i'm just him, about <a href="/blend/wv.cgi?id=2007.04.17.21.23.9641">the purpose of night</a>: This is a painfully beautiful piece. I understand all too well where this is coming from.<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 20 April 2007<P>

Kirk; I'm doing a major redo of my house. Been looking at new appliances, flooring, furniture etc and someone to paint from top to bottom..ugh what a job. Fun and not fun at the same time. Too many decisions and too much work.<BR>
<BR>
My sister will be here from Hawaii on Monday too, preparing for that. <BR>
<BR>
M
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 20 April 2007<P>

Well that sent before I could finish. My son has been working on my computer and now it does strange things ha. <BR>
<BR>
Rens we got the plant changed into the new pot. What a job and me squealing like crazy while my son took a hammer and broke the old pot and then took this gigantic jade tree and put it into the new pot. But he did a great job..I was terrified he would kill it.So far so good. My orchids are fixing to bloom, that always makes me happy. We need to catch up soon.<BR>
<BR>
Ya'll have a great weekend!<BR>
<BR>
bk 
<HR>